### 5.1.34 factorize

`Syntax:`
  `factorize (` poly_expression `)`
  `factorize (` poly_expression`, 0 )`
  `factorize (` poly_expression`, 2 )`
`Type:`
  list of ideal and intvec
`Syntax:`
  `factorize (` poly_expression`, 1 )`
`Type:`
  ideal
`Purpose:`
  computes the irreducible factors (as an ideal) of the polynomial together with or without the multiplicities (as an intvec) depending on the second argument:

          0: returns factors and multiplicities, first factor is a constant.
             May also be written with only one argument.
          1: returns non-constant factors (no multiplicities).
          2: returns non-constant factors and multiplicities.

`Note:`
  Not implemented for the coefficient fields real and finite fields of type `(p^n,a)`.
`Example:`

        ring r=32003,(x,y,z),dp;
        factorize(9*(x-1)^2*(y+z));
      ==> [1]:
      ==>    _[1]=9
      ==>    _[2]=y+z
      ==>    _[3]=x-1
      ==> [2]:
      ==>    1,1,2
        factorize(9*(x-1)^2*(y+z),1);
      ==> _[1]=y+z
      ==> _[2]=x-1
        factorize(9*(x-1)^2*(y+z),2);
      ==> [1]:
      ==>    _[1]=y+z
      ==>    _[2]=x-1
      ==> [2]:
      ==>    1,2
        ring rQ=0,x,dp;
        poly f = x2+1;            // irreducible in Q[x]
        factorize(f);
      ==> [1]:
      ==>    _[1]=1
      ==>    _[2]=x2+1
      ==> [2]:
      ==>    1,1
        ring rQi = (0,i),x,dp;
        minpoly = i2+1;
        poly f = x2+1;            // splits into linear factors in Q(i)[x]
        factorize(f);
      ==> [1]:
      ==>    _[1]=1
      ==>    _[2]=x+(-i)
      ==>    _[3]=x+(i)
      ==> [2]:
      ==>    1,1,1

See absFactorize; poly.

User manual for Singular version 4-0-3, 2016, generated by texi2html.